Package org.eclipse.m2m.atl.emftvm.impl

## Class LineNumberImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.impl.LineNumberImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `LineNumber`

    public class LineNumberImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements LineNumber

An implementation of the model object 'Line Number'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected static int` `END_CHAR_EDEFAULT` The default value of the '`End Char`' attribute.
`protected static int` `END_COLUMN_EDEFAULT` The default value of the '`End Column`' attribute.
`protected static int` `END_LINE_EDEFAULT` The default value of the '`End Line`' attribute.
`protected int` `endChar` The cached value of the '`End Char`' attribute.
`protected int` `endColumn` The cached value of the '`End Column`' attribute.
`protected int` `endLine` The cached value of the '`End Line`' attribute.
`protected org.eclipse.emf.common.util.EList<Instruction>` `instructions` The cached value of the '`Instructions`' reference list.
`protected static int` `START_CHAR_EDEFAULT` The default value of the '`Start Char`' attribute.
`protected static int` `START_COLUMN_EDEFAULT` The default value of the '`Start Column`' attribute.
`protected static int` `START_LINE_EDEFAULT` The default value of the '`Start Line`' attribute.
`protected int` `startChar` The cached value of the '`Start Char`' attribute.
`protected int` `startColumn` The cached value of the '`Start Column`' attribute.
`protected int` `startLine` The cached value of the '`Start Line`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `LineNumberImpl()` Creates a new `LineNumberImpl`.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.NotificationChain` `basicSetOwningBlock​(CodeBlock newOwningBlock, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()` Returns the `EClass` that correspond to this metaclass.
`void` `eUnset​(int featureID)`
`int` `getEndChar()` Returns the value of the 'End Char' attribute.
`int` `getEndColumn()` Returns the value of the 'End Column' attribute.
`int` `getEndLine()` Returns the value of the 'End Line' attribute.
`org.eclipse.emf.common.util.EList<Instruction>` `getInstructions()` Returns the value of the 'Instructions' reference list.
`CodeBlock` `getOwningBlock()` Returns the value of the 'Owning Block' container reference.
`int` `getStartChar()` Returns the value of the 'Start Char' attribute.
`int` `getStartColumn()` Returns the value of the 'Start Column' attribute.
`int` `getStartLine()` Returns the value of the 'Start Line' attribute.
`void` `setEndChar​(int newEndChar)` Sets the value of the '`End Char`' attribute.
`void` `setEndColumn​(int newEndColumn)` Sets the value of the '`End Column`' attribute.
`void` `setEndLine​(int newEndLine)` Sets the value of the '`End Line`' attribute.
`void` `setOwningBlock​(CodeBlock newOwningBlock)` Sets the value of the '`Owning Block`' container reference.
`void` `setStartChar​(int newStartChar)` Sets the value of the '`Start Char`' attribute.
`void` `setStartColumn​(int newStartColumn)` Sets the value of the '`Start Column`' attribute.
`void` `setStartLine​(int newStartLine)` Sets the value of the '`Start Line`' attribute.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### START_LINE_EDEFAULT

    protected static final int START_LINE_EDEFAULT

The default value of the '`Start Line`' attribute.

See Also:
  `getStartLine()`, Constant Field Values

#### startLine

    protected int startLine

The cached value of the '`Start Line`' attribute.

See Also:
  `getStartLine()`

#### START_COLUMN_EDEFAULT

    protected static final int START_COLUMN_EDEFAULT

The default value of the '`Start Column`' attribute.

See Also:
  `getStartColumn()`, Constant Field Values

#### startColumn

    protected int startColumn

The cached value of the '`Start Column`' attribute.

See Also:
  `getStartColumn()`

#### END_LINE_EDEFAULT

    protected static final int END_LINE_EDEFAULT

The default value of the '`End Line`' attribute.

See Also:
  `getEndLine()`, Constant Field Values

#### endLine

    protected int endLine

The cached value of the '`End Line`' attribute.

See Also:
  `getEndLine()`

#### END_COLUMN_EDEFAULT

    protected static final int END_COLUMN_EDEFAULT

The default value of the '`End Column`' attribute.

See Also:
  `getEndColumn()`, Constant Field Values

#### endColumn

    protected int endColumn

The cached value of the '`End Column`' attribute.

See Also:
  `getEndColumn()`

#### START_CHAR_EDEFAULT

    protected static final int START_CHAR_EDEFAULT

The default value of the '`Start Char`' attribute.

See Also:
  `getStartChar()`, Constant Field Values

#### startChar

    protected int startChar

The cached value of the '`Start Char`' attribute.

See Also:
  `getStartChar()`

#### END_CHAR_EDEFAULT

    protected static final int END_CHAR_EDEFAULT

The default value of the '`End Char`' attribute.

See Also:
  `getEndChar()`, Constant Field Values

#### endChar

    protected int endChar

The cached value of the '`End Char`' attribute.

See Also:
  `getEndChar()`

#### instructions

    protected org.eclipse.emf.common.util.EList<Instruction> instructions

The cached value of the '`Instructions`' reference list.

See Also:
  `getInstructions()`

### Constructor Detail

#### LineNumberImpl

    protected LineNumberImpl()

Creates a new `LineNumberImpl`.

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
Returns:
  the `EClass` that correspond to this metaclass.

#### getStartLine

    public int getStartLine()

Returns the value of the 'Start Line' attribute. The default value is `"-1"`.

If the meaning of the 'Start Line' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getStartLine` in interface `LineNumber`
Returns:
  the value of the 'Start Line' attribute.
See Also:
  `LineNumber.setStartLine(int)`, `EmftvmPackage.getLineNumber_StartLine()`

#### setStartLine

    public void setStartLine​(int newStartLine)

Sets the value of the '`Start Line`' attribute.

Specified by:
  `setStartLine` in interface `LineNumber`
Parameters:
  `newStartLine` - the new value of the 'Start Line' attribute.
See Also:
  `LineNumber.getStartLine()`

#### getStartColumn

    public int getStartColumn()

Returns the value of the 'Start Column' attribute. The default value is `"-1"`.

If the meaning of the 'Start Column' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getStartColumn` in interface `LineNumber`
Returns:
  the value of the 'Start Column' attribute.
See Also:
  `LineNumber.setStartColumn(int)`, `EmftvmPackage.getLineNumber_StartColumn()`

#### setStartColumn

    public void setStartColumn​(int newStartColumn)

Sets the value of the '`Start Column`' attribute.

Specified by:
  `setStartColumn` in interface `LineNumber`
Parameters:
  `newStartColumn` - the new value of the 'Start Column' attribute.
See Also:
  `LineNumber.getStartColumn()`

#### getEndLine

    public int getEndLine()

Returns the value of the 'End Line' attribute. The default value is `"-1"`.

If the meaning of the 'End Line' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getEndLine` in interface `LineNumber`
Returns:
  the value of the 'End Line' attribute.
See Also:
  `LineNumber.setEndLine(int)`, `EmftvmPackage.getLineNumber_EndLine()`

#### setEndLine

    public void setEndLine​(int newEndLine)

Sets the value of the '`End Line`' attribute.

Specified by:
  `setEndLine` in interface `LineNumber`
Parameters:
  `newEndLine` - the new value of the 'End Line' attribute.
See Also:
  `LineNumber.getEndLine()`

#### getEndColumn

    public int getEndColumn()

Returns the value of the 'End Column' attribute. The default value is `"-1"`.

If the meaning of the 'End Column' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getEndColumn` in interface `LineNumber`
Returns:
  the value of the 'End Column' attribute.
See Also:
  `LineNumber.setEndColumn(int)`, `EmftvmPackage.getLineNumber_EndColumn()`

#### setEndColumn

    public void setEndColumn​(int newEndColumn)

Sets the value of the '`End Column`' attribute.

Specified by:
  `setEndColumn` in interface `LineNumber`
Parameters:
  `newEndColumn` - the new value of the 'End Column' attribute.
See Also:
  `LineNumber.getEndColumn()`

#### getStartChar

    public int getStartChar()

Returns the value of the 'Start Char' attribute. The default value is `"-1"`.

If the meaning of the 'Start Char' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getStartChar` in interface `LineNumber`
Returns:
  the value of the 'Start Char' attribute.
See Also:
  `LineNumber.setStartChar(int)`, `EmftvmPackage.getLineNumber_StartChar()`

#### setStartChar

    public void setStartChar​(int newStartChar)

Sets the value of the '`Start Char`' attribute.

Specified by:
  `setStartChar` in interface `LineNumber`
Parameters:
  `newStartChar` - the new value of the 'Start Char' attribute.
See Also:
  `LineNumber.getStartChar()`

#### getEndChar

    public int getEndChar()

Returns the value of the 'End Char' attribute. The default value is `"-1"`.

If the meaning of the 'End Char' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getEndChar` in interface `LineNumber`
Returns:
  the value of the 'End Char' attribute.
See Also:
  `LineNumber.setEndChar(int)`, `EmftvmPackage.getLineNumber_EndChar()`

#### setEndChar

    public void setEndChar​(int newEndChar)

Sets the value of the '`End Char`' attribute.

Specified by:
  `setEndChar` in interface `LineNumber`
Parameters:
  `newEndChar` - the new value of the 'End Char' attribute.
See Also:
  `LineNumber.getEndChar()`

#### getOwningBlock

    public CodeBlock getOwningBlock()

Returns the value of the 'Owning Block' container reference. It is bidirectional and its opposite is '`Line Numbers`'.

If the meaning of the 'Owning Block' container reference isn't clear, there really should be more of a description here...

Specified by:
  `getOwningBlock` in interface `LineNumber`
Returns:
  the value of the 'Owning Block' container reference.
See Also:
  `LineNumber.setOwningBlock(CodeBlock)`, `EmftvmPackage.getLineNumber_OwningBlock()`, `CodeBlock.getLineNumbers()`

#### basicSetOwningBlock

    public org.eclipse.emf.common.notify.NotificationChain basicSetOwningBlock​(CodeBlock newOwningBlock,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

See Also:
  `setOwningBlock(CodeBlock)`

#### setOwningBlock

    public void setOwningBlock​(CodeBlock newOwningBlock)

Sets the value of the '`Owning Block`' container reference.

Specified by:
  `setOwningBlock` in interface `LineNumber`
Parameters:
  `newOwningBlock` - the new value of the 'Owning Block' container reference.
See Also:
  `LineNumber.getOwningBlock()`

#### getInstructions

    public org.eclipse.emf.common.util.EList<Instruction> getInstructions()

Returns the value of the 'Instructions' reference list. The list contents are of type `Instruction`. It is bidirectional and its opposite is '`Line Number`'.

The instructions that map to this line number specification.

Specified by:
  `getInstructions` in interface `LineNumber`
Returns:
  the value of the 'Instructions' reference list.
See Also:
  `EmftvmPackage.getLineNumber_Instructions()`, `Instruction.getLineNumber()`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`